# $Revision: 1.11 $, $Date: 2011/09/27 13:11:19 $
%define		pkgname	terminfo
Summary:	Haskell bindings to the terminfo library
Name:		ghc-%{pkgname}
Version:	0.3.2.2
Release:	1
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	b93e47791354d25ce89fbbcd12a3c209
URL:		http://hackage.haskell.org/package/terminfo/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	gmp-devel
BuildRequires:	ncurses-devel
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
Requires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
This library provides an interface to the terminfo database (via
bindings to the curses library). Terminfo allows POSIX systems to
interact with a variety of terminals using a standard set of
capabilities.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.lhs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version} \
	--configure-option="--with-curses-includes=/usr/include/ncursesw"

runhaskell Setup.lhs build
runhaskell Setup.lhs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
rm -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc

runhaskell Setup.lhs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ghc-terminfo.spec,v $
Revision 1.11  2011/09/27 13:11:19  baggins
- fix md5

Revision 1.10  2011/09/27 13:05:49  baggins
- 0.3.2.2

Revision 1.9  2011/02/28 09:27:22  glen
- update packaging, %requires_eq dep on ghc

Revision 1.8  2011/02/24 11:32:07  glen
- release 3

Revision 1.7  2011/02/24 11:09:05  glen
- use %ghc_pkg_recache macro; make url copyable; %ghcdir in rpmbuild macros

Revision 1.6  2010/08/28 00:06:37  baggins
- release 2

Revision 1.5  2010/08/28 00:04:22  baggins
- requires_releq due to very unique ids in packages built with ghc 6.12+

Revision 1.4  2010/08/27 20:40:21  baggins
- 0.3.1.3

Revision 1.3  2010/08/27 20:29:24  baggins
- updated packaging to new template (ghc 6.12.3+)

Revision 1.2  2010/05/16 14:48:22  sparky
- BR: gmp-devel

Revision 1.1  2010/04/10 18:13:17  baggins
- initial revision

